texpire(8)

NAME
texpire - delete old news articles and repair leafnode news spool

SYNOPSIS
texpire [-v[...]] [-q] [-f] [-h] [-r]

DESCRIPTION
Leafnode is a USENET package intended for small sites, where there are few users and little disk space, but where a large number of groups is desired.

Texpire is the program which deletes old articles from the local news spool and repairs most problems of the news spool. It can restore broken hard links, re-sort message.id links into the right directories (necessary when the spool has been moved to a different path) and update overview data. It can not repair loss of @spooldir@/news/group/* files.

Archive feature: If a groupexpire parameter is set to -1 for a particular group (or pattern), texpire will skip this (these) groups.

OPTIONS

-v  Be verbose. A maximum of four -v can be used (the more v, the more verbose). Don't expect all the output to make sense. Cancels preceding -q options.

-f  Force expire. Expire will be made regardless of the access time of the file. Especially useful if you regularly backup your news spool or do other things to it where you open files in there.

-q  Quiet. Print no messages unless problems occur. Cancels preceding -v options.

-r  Repair (since v1.9.54). Runs a more thorough yet slower check to detect broken hard links between articles and message.id files.

-h  Help. Print short usage message and exit with code 0.

FILES
See leafnode(8) for the list of files affected.

NOTES

Texpire sets its real and effective uid to "news" (if it can), because almost all of the problems I have had with leafnode are due to files which aren't writable for user "news".

BUGS
Texpire may not delete an article as soon as it should in certain circumstances, for instance after backing up or restoring data; eventually it will.

Texpire ignores "Expires" headers.

Texpire is unable to delete articles in groups which have non-consecutive numbers with huge gaps.

Texpire does not delete thread-based, but is only looking at individual articles, although the leafnode documentation of previous versions claimed otherwise.

Texpire only removes the innermost empty directory when all articles expire from a group. On the next run, it will remove the parent, which then is empty again, so eventually, empty directories will be deleted after some texpire runs.

ENVIRONMENT

LN_LOCK_TIMEOUT
    This variable is parsed as an unsigned integer value and determines how many seconds texpire will wait when trying to obtain the lock file from another leafnode program. 0 means to wait indefinitely. This variable takes precedence over the configuration file.

AUTHOR
Written by Arnt Gulbrandsen <agulbra@troll.no> and copyright 1995 Troll Tech AS, Postboks 6133 Etterstad, 0602 Oslo, Norway, fax +47 22646949.

Modified by Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>. Copyright of the modifications 1997-1999.

Modified Ralf Wildenhues <ralf.wildenhues@gmx.de>. Copyright of the modifications 2002.

Modified by Matthias Andree <matthias.andree@gmx.de>. Copyright of the modifications 2002 - 2004.

The archive feature was contributed by Andreas Meininger <a.meininger@gmx.net>.

SEE ALSO
tcpd(8), hosts.allow(5), leafnode(8), fetchnews(8), RFC 977.